본문으로 건너뛰기
Sursa Developers

객체

ChatDone

답변 결과: /v1/chat 스트림의 done 이벤트.

필드

  • type"done"필수
  • answerstring필수
  • question_idinteger필수
  • querystring
  • collectionstring필수
  • sourcesarray of Source필수
  • table_queriesarray of TableQuery필수
  • datasetsarray of Dataset필수
  • chartsarray of ChartSpec필수
  • warningsarray of AnswerWarning필수
  • timingsTimings필수
  • provenancearray of NumberProvenance
  • emptystring

    허용 값: no_hitsrestrictedguardrailno_data_for_period

  • verificationAnswerVerification
  • alt_periodsarray of AnswerAltPeriod

    items ≤ 6

  • drilldownarray of AnswerDrilldown

    items ≤ 20

  • restrictedRestrictedInfo
  • verified_onlyboolean
  • cachedboolean
  • out_of_scopeAnswerOutOfScope
  • attachmentsarray of Attachment
  • export_errorstring
  • toolsstring | null

    이 답변에 도구를 사용한 이유: request(명시적으로 요청함), compare, compute, action(질문에 따라), needs_calc(표에 대한 계산이 필요함), summary(컬렉션이나 문서의 개요), mcp(조직이 외부 MCP 서버를 연결함).

    허용 값: requestcomparecomputeactionneeds_calcsummarymcpnull

  • tool_callsarray of ToolCallInfo
  • calculationsarray of Calculation
  • pending_actionsarray of PendingAction
  • entitiesarray of AnswerEntity필수
  • followupsarray of Followup필수
  • conversation_idstring

    대화가 있는 POST /v1/chat 요청에만 있어요.

  • answer_idstring

    답변 객체의 ID.

포함하는 객체

ChatEvent